Skip to main content
POST
Create or update user

Authorizations

X-API-Key
string
header
required

Preferred. API key value directly.

Query Parameters

platformId
string

Your platform id.

Example:

"pf_1"

type
string

create | update | both.

email
string

User email (lookup key).

Example:

"john@acme.com"

username
string

Required when creating.

password
string

Required when creating.

firstName
string

First name.

lastName
string

Last name.

phone
string

Phone digits.

countryCode
string

2-letter code, e.g. IN.

countryDialCode
string

Dial code, e.g. +91.

status
string

Account status.

Body

application/json
platformId
string
required

Your platform id.

Example:

"pf_1"

type
string
required

create | update | both.

email
string
required

User email (lookup key).

Example:

"john@acme.com"

username
string

Required when creating.

password
string

Required when creating.

firstName
string

First name.

lastName
string

Last name.

phone
string

Phone digits.

countryCode
string

2-letter code, e.g. IN.

countryDialCode
string

Dial code, e.g. +91.

status
string

Account status.

Response

Success. Envelope: { success:true, data, message? }.

success
boolean
required
Example:

true

data
any
message
string
pagination
object
total
number
Last modified on September 20, 2026